export default {
    namespaced : true,
    state: () => ({
        count:0
    }),
    mutations: {
        increment(state, amount) {
            state.count+= amount
        }
    },
    getters: {
        doubleCount(state)  { return state.count*2},
        fifthCount: (state,getters) => (state.count + getters.doubleCount*2),
    },
    actions: {
        incrementAsync(context, amount) {
            setTimeout(() => {
                context.commit('increment',amount)
            }, 2000)
        }
    }
}


